//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

// Header File
// Created 11/05/2006; 12:00:16



//-----------------------------------------------------------------------------


#define TABLE_SY (6)
#define TABLE_SX (6)

#define LEVELS_COUNT (60)

//-----------------------------------------------------------------------------


enum
{
	CH_Y1,CH_Y2,
	CH_W1,CH_W2,CH_W3,
	CH_B1,CH_B2,CH_B3,
	CH_P1,CH_P2,
	CH_R1,CH_R2,
	CH_NONE,
};

enum
{
	WAY_LEFT,
	WAY_RIGHT,
	WAY_UP,
	WAY_DOWN,
};

typedef struct
{
	
	int level;
	int moves;
	
	int cx,cy;
	int selected;
	
	char table[TABLE_SY][TABLE_SX];
	
	
}
TGame;


//-----------------------------------------------------------------------------

void LoadLevel(void);

void MoveCar(int way);

void DrawScreen(void);

void SpriteOR(int x16,int y,short*src);

void CursorXOR(void);

void SelectLevel(void);

//-----------------------------------------------------------------------------
